Bug 1262123 - nodejs-degenerator not compatible with nodejs-ast-types > 0.5
nodejs-degenerator not compatible with nodejs-ast-types > 0.5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nodejs-degenerator (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1239730
  Show dependency treegraph
 
Reported: 2015-09-10 16:46 EDT by Piotr Popieluch
Modified: 2015-09-27 03:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: nodejs-degenerator-1.0.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-27 03:27:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-09-10 16:46:11 EDT
The current version of nodejs-ast-types is not compatible with nodesjs-degenerator. nodejs-degenerator needs nodejs-ast-types < 0.6.


This results in following errors (while building nodejs-pac-resolver):


/usr/lib/node_modules/degenerator/index.js:46
  types.traverse(ast, function (node) {
        ^
TypeError: Object #<Object> has no method 'traverse'
    at degenerator (/usr/lib/node_modules/degenerator/index.js:46:9)
    at generate (/builddir/build/BUILD/package/index.js:89:12)
    at Suite.<anonymous> (/builddir/build/BUILD/package/test/test.js:38:27)
    at context.describe.context.context (/usr/lib/node_modules/mocha/lib/interfaces/bdd.js:73:10)
    at Suite.<anonymous> (/builddir/build/BUILD/package/test/test.js:37:3)
    at context.describe.context.context (/usr/lib/node_modules/mocha/lib/interfaces/bdd.js:73:10)
    at Object.<anonymous> (/builddir/build/BUILD/package/test/test.js:9:1)
    at Module._compile (module.js:456:26)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Module.require (module.js:364:17)
    at require (module.js:380:17)
    at /usr/lib/node_modules/mocha/lib/mocha.js:172:27
    at Array.forEach (native)
    at Mocha.loadFiles (/usr/lib/node_modules/mocha/lib/mocha.js:169:14)
    at Mocha.run (/usr/lib/node_modules/mocha/lib/mocha.js:356:31)
    at Object.<anonymous> (/usr/lib/node_modules/mocha/bin/_mocha:359:16)
    at Module._compile (module.js:456:26)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Function.Module.runMain (module.js:497:10)
    at startup (node.js:119:16)
    at node.js:929:3
Comment 1 Fedora Update System 2015-09-19 07:41:32 EDT
nodejs-degenerator-1.0.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16203
Comment 2 Piotr Popieluch 2015-09-19 07:43:35 EDT
patched to be compatible with new ast-types in rawhide
Comment 3 Fedora Update System 2015-09-20 10:57:57 EDT
nodejs-degenerator-1.0.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-degenerator'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16203
Comment 4 Fedora Update System 2015-09-27 03:27:36 EDT
nodejs-degenerator-1.0.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.